apiVersion: v1
kind: Pod
metadata:
  name: k6servicetrafficrouting-pod
spec:
  securityContext: 
    runAsUser: 0
    runAsGroup: 0
  containers:
  - name: k6servicetrafficrouting-pod-container
    image: grafana/k6:latest
    command: ["k6", "run", "--duration", "5s", "--quiet", "/chaos-eater/sandbox/cycle_20241002_041546/hypothesis/steady_states/k6_ServiceTrafficRouting.js"]
    volumeMounts:
      - name: pvc-volume
        mountPath: /chaos-eater
  restartPolicy: Never
  volumes:
    - name: pvc-volume
      persistentVolumeClaim:
        claimName: pvc